| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_SIZE

BOOST_VMD_TUPLE_SIZE — expands to the size of the tuple passed to it.

## Synopsis

    // In header: <boost/vmd/tuple/size.hpp>

    BOOST_VMD_TUPLE_SIZE(tuple)

## Description

tuple = tuple whose size is to be extracted.

If the tuple is an empty tuple its size is 0. Otherwise the result is the number of elements in the tuple.